%define lib_name libfltk
%define lib_major 1

Summary:	Fast Light Tool Kit (FLTK)
Name:		fltk
Version:	1.0.11
Release:	1mdk
Group:		System/Libraries
License:	LGPL
Source:		%{name}-%{version}-source.tar.bz2
Patch:		fltk-1.0.9-makefile.patch.bz2

URL:		http://www.fltk.org
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	Mesa-common-devel

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%package -n %{lib_name}%{lib_major}
Summary: Fast Light Tool Kit (FLTK) - main library
Group: System/Libraries
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}%{lib_major}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%package -n %{lib_name}%{lib_major}-devel
Summary: Fast Light Too Kit (FLTK) - development environment
Group: Development/C
Requires: %{lib_name}%{lib_major} = %{version}
Obsoletes: %{name}-devel < %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}, %{lib_name}-devel = %{version}-%{release}

%description -n %{lib_name}%{lib_major}-devel
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

Install libfltk1-devel if you need to develop FLTK applications.  You'll
need to install the fltk package if you plan to run dynamically linked
applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --enable-shared
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name} \
	$RPM_BUILD_ROOT%{_datadir}/doc/%{lib_name}%{lib_major}-devel-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}%{lib_major} -p /sbin/ldconfig

%postun -n %{lib_name}%{lib_major} -p /sbin/ldconfig

%files -n %{lib_name}%{lib_major}
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/libfltk*.so.*

%files -n %{lib_name}%{lib_major}-devel
%defattr(-,root,root)
%docdir %{_datadir}/doc/%{lib_name}%{lib_major}-devel-%{version}
%{_datadir}/doc/%{lib_name}%{lib_major}-devel-%{version}
%{_includedir}/FL
%{_bindir}/*
%{_libdir}/libfltk*.so
%{_libdir}/libfltk*.a

%changelog
* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.0.11-1mdk
- 1.0.11.

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.10-2mdk
- BuildRequires: Mesa-common-devel

* Sat Dec 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.10-1mdk
- new and shiny source.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-5mdk
- keep ftlk source name.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-4mdk
- changed name.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-3mdk
- added missing requires on fltk-devel.

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-2mdk
- macroszifications.
- rename standard doc dir of devel package according the BM.

* Thu Jul 06 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.9-1mdk
- 1.0.9.
- merged some of fltk.spec provided by package.
- patch makefile to allow passing variable to make.
- fix install stage (build as normal user).

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-3mdk
- fix group
- fix permission on sources

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- fix the location of files

* Wed Jan 19 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.7

* Mon Jan 10 2000 Sean P. Kane <spkane@home.com>
- Added ChangeLog
- Upgraded to version 1.07

